## xwax 0.5

=== Makefile ===
# Copyright (C) 2009 Mark Hills <mark@pogo.org.uk>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2, as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# General Public License version 2 for more details.
# 
# You should have received a copy of the GNU General Public License
# version 2 along with this program; if not, write to the Free
# Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
# MA 02110-1301, USA.
#

CFLAGS += -Wall -O3 -MMD
LDFLAGS += -O3

SDL_CFLAGS = `sdl-config --cflags`
SDL_LIBS = `sdl-config --libs` -lSDL_ttf
ALSA_LIBS = -lasound
JACK_LIBS = -ljack

# Import the optional configuration

-include .config

# Core objects and libraries

OBJS = interface.o library.o listing.o player.o pitch.o rig.o \
	timecoder.o track.o xwax.o
DEVICE_OBJS = device.o oss.o
DEVICE_CPPFLAGS =
DEVICE_LIBS =

# Optional device types

ifdef ALSA
DEVICE_OBJS += alsa.o
DEVICE_CPPFLAGS += -DWITH_ALSA
DEVICE_LIBS += $(ALSA_LIBS)
endif

ifdef JACK
DEVICE_OBJS += jack.o
DEVICE_CPPFLAGS += -DWITH_JACK
DEVICE_LIBS += $(JACK_LIBS)
endif

# Rules

.PHONY:		clean

xwax:		$(OBJS) $(DEVICE_OBJS)
xwax:		LDLIBS += $(SDL_LIBS) $(DEVICE_LIBS)
xwax:		LDFLAGS += -pthread

interface.o:	CFLAGS += $(SDL_CFLAGS)

xwax.o:		CFLAGS += $(DEVICE_CPPFLAGS)

clean:
		rm -f xwax *.o *.d *~

-include *.d

## xwax 0.7

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright (C) 2009 Mark Hills <mark@pogo.org.uk>
+# Copyright (C) 2010 Mark Hills <mark@pogo.org.uk>
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License version 2, as
@@ -15,6 +15,10 @@
 # MA 02110-1301, USA.
 #
 
+INSTALL = install
+
+PREFIX = $(HOME)
+
 CFLAGS += -Wall -O3 -MMD
 LDFLAGS += -O3
 
@@ -27,11 +31,18 @@
 
 -include .config
 
+# Installation paths
+
+BINDIR = $(PREFIX)/bin
+EXECDIR = $(PREFIX)/libexec
+MANDIR = $(PREFIX)/share/man
+DOCDIR = $(PREFIX)/share/doc
+
 # Core objects and libraries
 
-OBJS = interface.o library.o listing.o player.o pitch.o rig.o \
-	timecoder.o track.o xwax.o
-DEVICE_OBJS = device.o oss.o
+OBJS = interface.o library.o listing.o lut.o player.o rig.o \
+	selector.o timecoder.o track.o xwax.o
+DEVICE_OBJS = device.o
 DEVICE_CPPFLAGS =
 DEVICE_LIBS =
 
@@ -49,17 +60,37 @@
 DEVICE_LIBS += $(JACK_LIBS)
 endif
 
+ifdef OSS
+DEVICE_OBJS += oss.o
+DEVICE_CPPFLAGS += -DWITH_OSS
+endif
+
 # Rules
 
-.PHONY:		clean
+.PHONY:		clean install
 
 xwax:		$(OBJS) $(DEVICE_OBJS)
-xwax:		LDLIBS += $(SDL_LIBS) $(DEVICE_LIBS)
+xwax:		LDLIBS += $(SDL_LIBS) $(DEVICE_LIBS) -lm
 xwax:		LDFLAGS += -pthread
 
 interface.o:	CFLAGS += $(SDL_CFLAGS)
 
-xwax.o:		CFLAGS += $(DEVICE_CPPFLAGS)
+xwax.o:		CFLAGS += $(SDL_CFLAGS) $(DEVICE_CPPFLAGS)
+xwax.o:		CPPFLAGS += -DEXECDIR=\"$(EXECDIR)\"
+
+install:
+		$(INSTALL) -d $(BINDIR)
+		$(INSTALL) xwax $(BINDIR)/xwax
+		$(INSTALL) -d $(EXECDIR)
+		$(INSTALL) scan $(EXECDIR)/xwax-scan
+		$(INSTALL) import $(EXECDIR)/xwax-import
+		$(INSTALL) -d $(MANDIR)/man1
+		$(INSTALL) -m 0644 xwax.1 $(MANDIR)/man1/xwax.1
+		$(INSTALL) -d $(DOCDIR)/xwax
+		$(INSTALL) -m 0644 CHANGES $(DOCDIR)/xwax/CHANGES
+		$(INSTALL) -m 0644 COPYING $(DOCDIR)/xwax/COPYING
+		$(INSTALL) -m 0644 README $(DOCDIR)/xwax/README
+
 
 clean:
 		rm -f xwax *.o *.d *~

## xwax 0.8

=== Makefile ===
--- 
+++ 
@@ -19,7 +19,8 @@
 
 PREFIX = $(HOME)
 
-CFLAGS += -Wall -O3 -MMD
+CFLAGS += -Wall -O3
+CPPFLAGS += -MMD
 LDFLAGS += -O3
 
 SDL_CFLAGS = `sdl-config --cflags`

## xwax 0.9

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright (C) 2010 Mark Hills <mark@pogo.org.uk>
+# Copyright (C) 2011 Mark Hills <mark@pogo.org.uk>
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License version 2, as
@@ -41,8 +41,8 @@
 
 # Core objects and libraries
 
-OBJS = interface.o library.o listing.o lut.o player.o rig.o \
-	selector.o timecoder.o track.o xwax.o
+OBJS = import.o interface.o library.o listing.o lut.o player.o realtime.o \
+	rig.o selector.o timecoder.o track.o xwax.o
 DEVICE_OBJS = device.o
 DEVICE_CPPFLAGS =
 DEVICE_LIBS =
@@ -68,7 +68,20 @@
 
 # Rules
 
-.PHONY:		clean install
+.PHONY:		all clean install
+
+all:		xwax
+
+# Dynamic versioning
+
+.PHONY:		FORCE
+
+.version:	FORCE
+		./mkversion -r
+
+VERSION = $(shell ./mkversion)
+
+# Main binary
 
 xwax:		$(OBJS) $(DEVICE_OBJS)
 xwax:		LDLIBS += $(SDL_LIBS) $(DEVICE_LIBS) -lm
@@ -77,7 +90,10 @@
 interface.o:	CFLAGS += $(SDL_CFLAGS)
 
 xwax.o:		CFLAGS += $(SDL_CFLAGS) $(DEVICE_CPPFLAGS)
-xwax.o:		CPPFLAGS += -DEXECDIR=\"$(EXECDIR)\"
+xwax.o:		CPPFLAGS += -DEXECDIR=\"$(EXECDIR)\" -DVERSION=\"$(VERSION)\"
+xwax.o:		.version
+
+# Install to system
 
 install:
 		$(INSTALL) -d $(BINDIR)
@@ -92,8 +108,26 @@
 		$(INSTALL) -m 0644 COPYING $(DOCDIR)/xwax/COPYING
 		$(INSTALL) -m 0644 README $(DOCDIR)/xwax/README
 
+# Distribution archive from Git source code
+
+.PHONY:		dist
+
+dist:		.version
+		./mkdist $(VERSION)
+
+# Manual tests
+
+test-library:	test-library.o library.o listing.o
+
+test-timecoder:	test-timecoder.o lut.o timecoder.o
+
+test-track:	test-track.o import.o track.o
 
 clean:
-		rm -f xwax *.o *.d *~
+		rm -f xwax
+		rm -f test-library
+		rm -f test-timecoder
+		rm -f test-track
+		rm -f *.o *.d *~
 
 -include *.d

=== debian/changelog ===
xwax (0.9-2) unstable; urgency=low

  * Removed quilt related stuff from debian/rules
  * Updated copyright notice

 -- Mitchell Smith <mjs@mjsprojects.net>  Sat, 23 Apr 2011 04:30:14 +1000

xwax (0.9-1) unstable; urgency=low

  * New upstream release
  * Updated package dependencies for import script
  * manpage patch no longer required

 -- Mitchell Smith <mjs@mjsprojects.net>  Tue, 19 Apr 2011 16:29:05 +1000

xwax (0.8-3) unstable; urgency=low

  * Include patch to stop installation of redundant copyright notice

 -- Mitchell Smith <mjs@mjsprojects.net>  Thu, 20 Jan 2011 09:12:02 +1100

xwax (0.8-2) unstable; urgency=low

  * Include patch to set EXECDIR correctly in Makefile

 -- Mitchell Smith <mjs@kryptonite.mjsprojects.net>  Thu, 20 Jan 2011 08:38:20 +1100

xwax (0.8-1) unstable; urgency=low

  * New upstream release (Closes: #603011)
  * Included manpage patch from Daniel Holbach
  * Switch to dpkg-source 3.0 (quilt) format
  * Updated standards version to 3.9.1
  * Changed configure options to only use alsa on Linux (Closes: #597892)

 -- Mitchell Smith <mjs@mjsprojects.net>  Tue, 18 Jan 2011 11:48:01 +1100

xwax (0.7-5) unstable; urgency=low

  * Added dependency on ttf-dejavu-extra which provides 
    DejaVuSans-Oblique.ttf (Closes: #587569)

 -- Mitchell Smith <mjs@mjsprojects.net>  Fri, 02 Jul 2010 12:08:00 +1000

xwax (0.7-4) unstable; urgency=low

  * Fixed kfreebsd build issue with help from Petr Salinger (Closes: #573809)
  * Fixed problem with the way configure was being called as reported by upstream author

 -- Mitchell Smith <mjs@mjsprojects.net>  Mon, 12 Apr 2010 10:08:52 +1000

xwax (0.7-3) unstable; urgency=low

  * Fixes to debian/rules (Closes: #573552)
  * Cleaned up a couple of Lintian warnings

 -- Mitchell Smith <mjs@mjsprojects.net>  Sun, 14 Mar 2010 07:15:30 +1000

xwax (0.7-2) unstable; urgency=low

  * Removed man page, now included in upstream release
  * Verified build with binutils-gold (Closes: #556764)

 -- Mitchell Smith <mjs@mjsprojects.net>  Mon, 08 Mar 2010 00:48:01 +0000

xwax (0.7-1) unstable; urgency=low

  * New upstream release

 -- Mitchell Smith <mjs@mjsprojects.net>  Mon, 01 Mar 2010 08:49:31 +1000

xwax (0.6-3) unstable; urgency=low

  * Correction of license details, should be GPL version 2 only

 -- Mitchell Smith <mjs@mjsprojects.net>  Mon, 26 Oct 2009 10:40:27 +1000

xwax (0.6-2) unstable; urgency=low

  * Using mpg123 instead of mpg321
  * Updated xwax version in man page
  * Some cosmetic changes to debian/control file

 -- Mitchell Smith <mjs@mjsprojects.net>  Fri, 23 Oct 2009 04:07:38 +0000

xwax (0.6-1) unstable; urgency=low

  * New upstream release
  * Added README.debian file documenting changes from upstream source

 -- Mitchell Smith <mjs@mjsprojects.net>  Sat, 12 Sep 2009 06:31:22 +0000

xwax (0.5-1) unstable; urgency=low

  * Initial release (Closes: #535031)

 -- Mitchell Smith <mjs@mjsprojects.net>  Sun, 05 Jul 2009 21:57:19 +0000

=== debian/control ===
Source: xwax
Section: sound
Priority: extra
Maintainer: Mitchell Smith <mjs@mjsprojects.net>
Build-Depends: debhelper (>= 7), libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], libsdl-ttf2.0-dev
Standards-Version: 3.9.1
Homepage: http://www.xwax.co.uk/

Package: xwax
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ttf-dejavu-extra
Recommends: cdparanoia, mpg123, ffmpeg
Description: open-source vinyl emulation software for Linux
 xwax is open-source vinyl emulation software for Linux. It allows DJs and 
 turntablists to playback digital audio files (MP3, Ogg Vorbis, FLAC, AAC and 
 more), controlled using a normal pair of turntables via timecoded vinyls.
 .
 It's designed for both beat mixing and scratch mixing. Needle drops, pitch 
 changes, scratching, spinbacks and rewinds are all supported, and feel just 
 like the audio is pressed onto the vinyl itself.
 .
 The focus is on an accurate vinyl feel which is efficient, stable and fast.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
CROSS= --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
else
CROSS= --build $(DEB_BUILD_GNU_TYPE)
endif



config.status: configure
	dh_testdir
	# Add here commands to configure the package.
ifneq ($(DEB_HOST_ARCH_OS),linux)
	 ./configure --prefix /usr --enable-oss
else
	 ./configure --prefix /usr --enable-alsa
endif

build: build-stamp

build-stamp:  config.status 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/xwax.sgml > xwax.1

	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) clean
	rm -f config.sub config.guess

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep 
	dh_installdirs

	# Add here commands to install the package into debian/xwax.
	$(MAKE) PREFIX=$(CURDIR)/debian/xwax/usr install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs CHANGES
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## xwax 1.0

=== Makefile ===
--- 
+++ 
@@ -41,7 +41,8 @@
 
 # Core objects and libraries
 
-OBJS = import.o interface.o library.o listing.o lut.o player.o realtime.o \
+OBJS = deck.o import.o interface.o library.o listing.o lut.o \
+	player.o realtime.o \
 	rig.o selector.o timecoder.o track.o xwax.o
 DEVICE_OBJS = device.o
 DEVICE_CPPFLAGS =
@@ -124,10 +125,10 @@
 test-track:	test-track.o import.o track.o
 
 clean:
-		rm -f xwax
-		rm -f test-library
-		rm -f test-timecoder
-		rm -f test-track
-		rm -f *.o *.d *~
+		rm -f xwax \
+			test-library \
+			test-timecoder \
+			test-track \
+			*.o *.d
 
 -include *.d

=== debian/changelog ===
xwax (1.0-0ubuntu1) precise; urgency=low

  * New upstream release. (Closes: #637207)
  * debian/control:
    - use [linux-any]. (Closes: #634480)
    - bump Standards-Version to 3.9.2.
    - bump debhelper Build-Depends to 7.0.50~.
  * debian/rules:
    - port to dh7.
    - clean .config file.
    - install upstream changelog.
  * debian/copyright: use DEP 5.
  * Changes submitted to Debian maintainer, but not included yet.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Fri, 14 Oct 2011 17:45:39 +0200

## xwax 1.1~beta1

=== Makefile ===
--- 
+++ 
@@ -41,7 +41,7 @@
 
 # Core objects and libraries
 
-OBJS = deck.o import.o interface.o library.o listing.o lut.o \
+OBJS = deck.o external.o import.o interface.o library.o listing.o lut.o \
 	player.o realtime.o \
 	rig.o selector.o timecoder.o track.o xwax.o
 DEVICE_OBJS = device.o
@@ -118,11 +118,18 @@
 
 # Manual tests
 
-test-library:	test-library.o library.o listing.o
+.PHONY:		tests
+
+tests:		test-library test-timecoder test-track
+
+test-library:	test-library.o external.o library.o listing.o
 
 test-timecoder:	test-timecoder.o lut.o timecoder.o
 
-test-track:	test-track.o import.o track.o
+test-track:	test-track.o device.o external.o import.o lut.o player.o
+test-track:	realtime.o rig.o timecoder.o track.o
+test-track:	LDFLAGS += -pthread
+test-track:	LDLIBS += -lm
 
 clean:
 		rm -f xwax \

=== debian/changelog ===
xwax (1.1~beta1-0ubuntu1) precise; urgency=low

  * New upstream release.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Fri, 23 Dec 2011 16:07:31 +0100

## xwax 1.1~beta2

=== debian/changelog ===
xwax (1.1~beta2-0ubuntu1) precise; urgency=low

  * New upstream release.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Fri, 13 Jan 2012 16:53:40 +0100

## xwax 1.1

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright (C) 2011 Mark Hills <mark@pogo.org.uk>
+# Copyright (C) 2012 Mark Hills <mark@pogo.org.uk>
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License version 2, as

=== debian/changelog ===
xwax (1.1-0ubuntu1) precise; urgency=low

  * New upstream release.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Sun, 29 Jan 2012 16:58:16 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: xwax
 Section: sound
 Priority: extra
-Maintainer: Mitchell Smith <mjs@mjsprojects.net>
-Build-Depends: debhelper (>= 7), libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], libsdl-ttf2.0-dev
-Standards-Version: 3.9.1
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Mitchell Smith <mjs@mjsprojects.net>
+Build-Depends: debhelper (>= 7.0.50~), libasound2-dev [linux-any], libsdl-ttf2.0-dev
+Standards-Version: 3.9.2
 Homepage: http://www.xwax.co.uk/
 
 Package: xwax

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
CROSS= --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
else
CROSS= --build $(DEB_BUILD_GNU_TYPE)
endif

%:
	dh $@

override_dh_auto_configure:
ifneq ($(DEB_HOST_ARCH_OS),linux)
	./configure --prefix /usr --enable-oss
else
	./configure --prefix /usr --enable-alsa
endif

override_dh_auto_install:
	$(MAKE) PREFIX=$(CURDIR)/debian/xwax/usr install

override_dh_installchangelogs:
	dh_installchangelogs -k CHANGES

override_dh_clean:
	dh_clean .config

## xwax 1.2

=== Makefile ===
--- 
+++ 
@@ -41,42 +41,42 @@
 
 # Core objects and libraries
 
-OBJS = deck.o external.o import.o interface.o library.o listing.o lut.o \
+OBJS = controller.o cues.o deck.o device.o external.o import.o interface.o \
+	library.o listing.o lut.o \
 	player.o realtime.o \
-	rig.o selector.o timecoder.o track.o xwax.o
-DEVICE_OBJS = device.o
+	rig.o selector.o thread.o timecoder.o track.o xwax.o
 DEVICE_CPPFLAGS =
 DEVICE_LIBS =
 
 # Optional device types
 
 ifdef ALSA
-DEVICE_OBJS += alsa.o
+OBJS += alsa.o dicer.o midi.o
 DEVICE_CPPFLAGS += -DWITH_ALSA
 DEVICE_LIBS += $(ALSA_LIBS)
 endif
 
 ifdef JACK
-DEVICE_OBJS += jack.o
+OBJS += jack.o
 DEVICE_CPPFLAGS += -DWITH_JACK
 DEVICE_LIBS += $(JACK_LIBS)
 endif
 
 ifdef OSS
-DEVICE_OBJS += oss.o
+OBJS += oss.o
 DEVICE_CPPFLAGS += -DWITH_OSS
 endif
 
+DEPS = $(OBJS:.o=.d)
+
 # Rules
 
-.PHONY:		all clean install
-
-all:		xwax
+.PHONY:		all
+all:		xwax tests
 
 # Dynamic versioning
 
 .PHONY:		FORCE
-
 .version:	FORCE
 		./mkversion -r
 
@@ -84,7 +84,7 @@
 
 # Main binary
 
-xwax:		$(OBJS) $(DEVICE_OBJS)
+xwax:		$(OBJS)
 xwax:		LDLIBS += $(SDL_LIBS) $(DEVICE_LIBS) -lm
 xwax:		LDFLAGS += -pthread
 
@@ -96,6 +96,7 @@
 
 # Install to system
 
+.PHONY:		install
 install:
 		$(INSTALL) -d $(BINDIR)
 		$(INSTALL) xwax $(BINDIR)/xwax
@@ -112,30 +113,35 @@
 # Distribution archive from Git source code
 
 .PHONY:		dist
-
 dist:		.version
 		./mkdist $(VERSION)
 
 # Manual tests
 
 .PHONY:		tests
+tests:		test-cues test-library test-timecoder test-track
 
-tests:		test-library test-timecoder test-track
+test-cues:	test-cues.o cues.o
 
 test-library:	test-library.o external.o library.o listing.o
 
+test-midi:	test-midi.o midi.o
+test-midi:	LDLIBS += $(ALSA_LIBS)
+
 test-timecoder:	test-timecoder.o lut.o timecoder.o
 
-test-track:	test-track.o device.o external.o import.o lut.o player.o
-test-track:	realtime.o rig.o timecoder.o track.o
+test-track:	test-track.o external.o import.o rig.o thread.o track.o
 test-track:	LDFLAGS += -pthread
 test-track:	LDLIBS += -lm
 
+.PHONY:		clean
 clean:
 		rm -f xwax \
+			test-cues \
 			test-library \
+			test-midi \
 			test-timecoder \
 			test-track \
-			*.o *.d
+			$(OBJS) $(DEPS)
 
--include *.d
+-include $(DEPS)

=== debian/changelog ===
xwax (1.2-0ubuntu1) quantal; urgency=low

  * New upstream release.
  * debian/rules: move clean bits to debian/clean.
  * debian/clean: momentarily add test-*.{d,o} to it until it's fixed
    upstream.
  * debian/patches/02-remove-redundant-copyright-notice.patch: dropped,
    override dh_install instead.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Thu, 26 Apr 2012 11:41:30 +0200

=== debian/rules ===
--- 
+++ 
@@ -27,8 +27,9 @@
 override_dh_auto_install:
 	$(MAKE) PREFIX=$(CURDIR)/debian/xwax/usr install
 
+override_dh_install:
+	dh_install
+	rm -f $(CURDIR)/debian/xwax/usr/share/doc/xwax/COPYING
+
 override_dh_installchangelogs:
 	dh_installchangelogs -k CHANGES
-
-override_dh_clean:
-	dh_clean .config

## xwax 1.3~beta2

=== Makefile ===
--- 
+++ 
@@ -15,36 +15,40 @@
 # MA 02110-1301, USA.
 #
 
-INSTALL = install
+# Import the optional configuration
 
-PREFIX = $(HOME)
+-include .config
+
+# Libraries and dependencies
+
+INSTALL ?= install
+
+SDL_CFLAGS ?= `sdl-config --cflags`
+SDL_LIBS ?= `sdl-config --libs` -lSDL_ttf
+ALSA_LIBS ?= -lasound
+JACK_LIBS ?= -ljack
+
+# Installation paths
+
+PREFIX ?= $(HOME)
+
+BINDIR ?= $(PREFIX)/bin
+EXECDIR ?= $(PREFIX)/libexec
+MANDIR ?= $(PREFIX)/share/man
+DOCDIR ?= $(PREFIX)/share/doc
+
+# Build flags
 
 CFLAGS += -Wall -O3
 CPPFLAGS += -MMD
 LDFLAGS += -O3
 
-SDL_CFLAGS = `sdl-config --cflags`
-SDL_LIBS = `sdl-config --libs` -lSDL_ttf
-ALSA_LIBS = -lasound
-JACK_LIBS = -ljack
-
-# Import the optional configuration
-
--include .config
-
-# Installation paths
-
-BINDIR = $(PREFIX)/bin
-EXECDIR = $(PREFIX)/libexec
-MANDIR = $(PREFIX)/share/man
-DOCDIR = $(PREFIX)/share/doc
-
 # Core objects and libraries
 
-OBJS = controller.o cues.o deck.o device.o external.o import.o interface.o \
+OBJS = controller.o cues.o deck.o device.o external.o interface.o \
 	library.o listing.o lut.o \
 	player.o realtime.o \
-	rig.o selector.o thread.o timecoder.o track.o xwax.o
+	rig.o selector.o status.o thread.o timecoder.o track.o xwax.o
 DEVICE_CPPFLAGS =
 DEVICE_LIBS =
 
@@ -90,7 +94,8 @@
 
 interface.o:	CFLAGS += $(SDL_CFLAGS)
 
-xwax.o:		CFLAGS += $(SDL_CFLAGS) $(DEVICE_CPPFLAGS)
+xwax.o:		CFLAGS += $(SDL_CFLAGS)
+xwax.o:		CPPFLAGS += $(DEVICE_CPPFLAGS)
 xwax.o:		CPPFLAGS += -DEXECDIR=\"$(EXECDIR)\" -DVERSION=\"$(VERSION)\"
 xwax.o:		.version
 
@@ -98,17 +103,13 @@
 
 .PHONY:		install
 install:
-		$(INSTALL) -d $(BINDIR)
-		$(INSTALL) xwax $(BINDIR)/xwax
-		$(INSTALL) -d $(EXECDIR)
-		$(INSTALL) scan $(EXECDIR)/xwax-scan
-		$(INSTALL) import $(EXECDIR)/xwax-import
-		$(INSTALL) -d $(MANDIR)/man1
-		$(INSTALL) -m 0644 xwax.1 $(MANDIR)/man1/xwax.1
-		$(INSTALL) -d $(DOCDIR)/xwax
-		$(INSTALL) -m 0644 CHANGES $(DOCDIR)/xwax/CHANGES
-		$(INSTALL) -m 0644 COPYING $(DOCDIR)/xwax/COPYING
-		$(INSTALL) -m 0644 README $(DOCDIR)/xwax/README
+		$(INSTALL) -D xwax $(DESTDIR)$(BINDIR)/xwax
+		$(INSTALL) -D scan $(DESTDIR)$(EXECDIR)/xwax-scan
+		$(INSTALL) -D import $(DESTDIR)$(EXECDIR)/xwax-import
+		$(INSTALL) -D -m 0644 xwax.1 $(DESTDIR)$(MANDIR)/man1/xwax.1
+		$(INSTALL) -D -m 0644 CHANGES $(DESTDIR)$(DOCDIR)/xwax/CHANGES
+		$(INSTALL) -D -m 0644 COPYING $(DESTDIR)$(DOCDIR)/xwax/COPYING
+		$(INSTALL) -D -m 0644 README $(DESTDIR)$(DOCDIR)/xwax/README
 
 # Distribution archive from Git source code
 
@@ -116,10 +117,15 @@
 dist:		.version
 		./mkdist $(VERSION)
 
+# Editor tags files
+
+TAGS:		$(OBJS:.o=.c)
+		etags $^
+
 # Manual tests
 
 .PHONY:		tests
-tests:		test-cues test-library test-timecoder test-track
+tests:		test-cues test-library test-status test-timecoder test-track
 
 test-cues:	test-cues.o cues.o
 
@@ -128,9 +134,11 @@
 test-midi:	test-midi.o midi.o
 test-midi:	LDLIBS += $(ALSA_LIBS)
 
+test-status:	test-status.o status.o
+
 test-timecoder:	test-timecoder.o lut.o timecoder.o
 
-test-track:	test-track.o external.o import.o rig.o thread.o track.o
+test-track:	test-track.o external.o rig.o status.o thread.o track.o
 test-track:	LDFLAGS += -pthread
 test-track:	LDLIBS += -lm
 
@@ -140,8 +148,10 @@
 			test-cues \
 			test-library \
 			test-midi \
+			test-status \
 			test-timecoder \
 			test-track \
-			$(OBJS) $(DEPS)
+			$(OBJS) $(DEPS) \
+			TAGS
 
 -include $(DEPS)

=== debian/changelog ===
xwax (1.3~beta2-0ubuntu1) quantal; urgency=low

  * New upstream beta release.
  * Reorganise build variables.
  * debian/patches/01-fix-libexec-dir-in-makefile.patch: dropped.
  * debian/rules: set EXECDIR.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Tue, 12 Jun 2012 19:18:33 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Mitchell Smith <mjs@mjsprojects.net>
 Build-Depends: debhelper (>= 7.0.50~), libasound2-dev [linux-any], libsdl-ttf2.0-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://www.xwax.co.uk/
 
 Package: xwax

=== debian/rules ===
--- 
+++ 
@@ -24,8 +24,11 @@
 	./configure --prefix /usr --enable-alsa
 endif
 
+override_dh_auto_build:
+	$(MAKE) PREFIX=/usr EXECDIR=/usr/share/xwax
+
 override_dh_auto_install:
-	$(MAKE) PREFIX=$(CURDIR)/debian/xwax/usr install
+	$(MAKE) PREFIX=$(CURDIR)/debian/xwax/usr EXECDIR=$(CURDIR)/debian/xwax/usr/share/xwax install
 
 override_dh_install:
 	dh_install

## xwax 1.3

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright (C) 2012 Mark Hills <mark@pogo.org.uk>
+# Copyright (C) 2012 Mark Hills <mark@xwax.org>
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License version 2, as
@@ -52,6 +52,8 @@
 DEVICE_CPPFLAGS =
 DEVICE_LIBS =
 
+TESTS = test-cues test-library test-status test-timecoder test-track
+
 # Optional device types
 
 ifdef ALSA
@@ -71,7 +73,8 @@
 DEVICE_CPPFLAGS += -DWITH_OSS
 endif
 
-DEPS = $(OBJS:.o=.d)
+TEST_OBJS = $(addsuffix .o,$(TESTS))
+DEPS = $(OBJS:.o=.d) $(TEST_OBJS:.o=.d)
 
 # Rules
 
@@ -125,7 +128,7 @@
 # Manual tests
 
 .PHONY:		tests
-tests:		test-cues test-library test-status test-timecoder test-track
+tests:		$(TESTS)
 
 test-cues:	test-cues.o cues.o
 
@@ -145,13 +148,8 @@
 .PHONY:		clean
 clean:
 		rm -f xwax \
-			test-cues \
-			test-library \
-			test-midi \
-			test-status \
-			test-timecoder \
-			test-track \
 			$(OBJS) $(DEPS) \
+			$(TESTS) $(TEST_OBJS) \
 			TAGS
 
 -include $(DEPS)

=== debian/changelog ===
xwax (1.3-1fakesync1) raring-proposed; urgency=low

  * Fake sync due to mismatching orig tarball.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Fri, 18 Jan 2013 01:15:35 +0100

xwax (1.3-1) unstable; urgency=low

  [ Mitchell Smith ]
  * New upstream release. (Closes: #637207)
  * Moved to Debian Multimedia Maintainers team.
  * debian/patches/01-fix-libexec-dir-in-makefile.patch: dropped.
  * debian/patches/02-remove-redundant-copyright-notice.patch: dropped,
    override dh_install instead.
  * debian/control:
    - use [linux-any]. (Closes: #634480)
    - bump Standards-Version to 3.9.2.
    - bump debhelper Build-Depends to 7.0.50~.
    - Changed maintainer to Debian Multimedia Maintainers.
  * debian/rules:
    - port to dh7.
    - install upstream changelog.
    - set EXECDIR.
    - move clean bits to debian/clean.
  * debian/copyright: use DEP 5.

  [ Alessio Treglia ]
  * Add Mitchell and myself to the Uploaders field.
  * Enable JACk support.
  * Enable hardened flags.
  * Refresh debian/copyright, port it to Copyright format 1.0.
  * Add Vcs tags.
  * Bump Standards.

 -- Mitchell Smith <mjs@mjsprojects.net>  Thu, 17 Jan 2013 10:17:03 +1000

=== debian/control ===
Source: xwax
Section: sound
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Alessio Treglia <alessio@debian.org>,
 Mitchell Smith <mjs@mjsprojects.net>
Build-Depends:
 debhelper (>= 7.0.50~),
 libasound2-dev [linux-any],
 libjack-dev,
 libsdl-ttf2.0-dev
Standards-Version: 3.9.4
Homepage: http://www.xwax.co.uk/
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/xwax.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/xwax.git

Package: xwax
Architecture: any
Depends:
 ttf-dejavu-extra,
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 cdparanoia,
 ffmpeg,
 mpg123
Suggests:
 jackd
Description: open-source vinyl emulation software for Linux
 xwax is open-source vinyl emulation software for Linux. It allows DJs and
 turntablists to playback digital audio files (MP3, Ogg Vorbis, FLAC, AAC and
 more), controlled using a normal pair of turntables via timecoded vinyls.
 .
 It's designed for both beat mixing and scratch mixing. Needle drops, pitch
 changes, scratching, spinbacks and rewinds are all supported, and feel just
 like the audio is pressed onto the vinyl itself.
 .
 The focus is on an accurate vinyl feel which is efficient, stable and fast.

## xwax 1.4~beta2

=== Makefile ===
--- 
+++ 
@@ -39,9 +39,10 @@
 
 # Build flags
 
-CFLAGS += -Wall -O3
+CFLAGS ?= -O3
+CFLAGS += -Wall
 CPPFLAGS += -MMD
-LDFLAGS += -O3
+LDFLAGS ?= -O3
 
 # Core objects and libraries
 
@@ -52,7 +53,8 @@
 DEVICE_CPPFLAGS =
 DEVICE_LIBS =
 
-TESTS = test-cues test-library test-status test-timecoder test-track
+TESTS = tests/cues tests/library tests/status tests/timecoder tests/track \
+	tests/ttf
 
 # Optional device types
 
@@ -129,21 +131,27 @@
 
 .PHONY:		tests
 tests:		$(TESTS)
+tests:		CPPFLAGS += -I.
 
-test-cues:	test-cues.o cues.o
+tests/cues:	tests/cues.o cues.o
 
-test-library:	test-library.o external.o library.o listing.o
+tests/library:	tests/library.o external.o library.o listing.o
 
-test-midi:	test-midi.o midi.o
-test-midi:	LDLIBS += $(ALSA_LIBS)
+tests/midi:	tests/midi.o midi.o
+tests/midi:	LDLIBS += $(ALSA_LIBS)
 
-test-status:	test-status.o status.o
+tests/status:	tests/status.o status.o
 
-test-timecoder:	test-timecoder.o lut.o timecoder.o
+tests/timecoder:	tests/timecoder.o lut.o timecoder.o
 
-test-track:	test-track.o external.o rig.o status.o thread.o track.o
-test-track:	LDFLAGS += -pthread
-test-track:	LDLIBS += -lm
+tests/track:	tests/track.o external.o rig.o status.o thread.o track.o
+tests/track:	LDFLAGS += -pthread
+tests/track:	LDLIBS += -lm
+
+tests/ttf.o:	tests/ttf.c  # not needed except to workaround Make 3.81
+tests/ttf.o:	CFLAGS += $(SDL_CFLAGS)
+
+tests/ttf:	LDLIBS += $(SDL_LIBS)
 
 .PHONY:		clean
 clean:

=== debian/changelog ===
xwax (1.4~beta2-0ubuntu1) saucy; urgency=low

  * New upstream release.
  * debian/patches/fix-tests-ttf-flag: dropped.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Tue, 21 May 2013 07:25:42 +0200

xwax (1.4~beta1-0ubuntu1~13.04) raring; urgency=low

  * New upstream test release.
  * debian/patches/fix-tests-ttf-flag: fix a small typo in the Makefile to
    make the tests build.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Wed, 03 Apr 2013 08:47:18 +0200

## xwax 1.4~beta3

=== debian/changelog ===
xwax (1.4~beta3-0ubuntu1) saucy; urgency=low

  * New upstream release.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Wed, 29 May 2013 00:50:36 +0200

## xwax 1.4

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright (C) 2012 Mark Hills <mark@xwax.org>
+# Copyright (C) 2013 Mark Hills <mark@xwax.org>
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License version 2, as

=== debian/changelog ===
xwax (1.4-1) unstable; urgency=low

  * New upstream release.

 -- Alessio Treglia <alessio@debian.org>  Sun, 30 Jun 2013 03:42:07 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: xwax
 Section: sound
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Alessio Treglia <alessio@debian.org>,
  Mitchell Smith <mjs@mjsprojects.net>

## xwax 1.5

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright (C) 2013 Mark Hills <mark@xwax.org>
+# Copyright (C) 2014 Mark Hills <mark@xwax.org>
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License version 2, as
@@ -8,7 +8,7 @@
 # WITHOUT ANY WARRANTY; without even the implied warranty of
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 # General Public License version 2 for more details.
-# 
+#
 # You should have received a copy of the GNU General Public License
 # version 2 along with this program; if not, write to the Free
 # Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
@@ -46,14 +46,36 @@
 
 # Core objects and libraries
 
-OBJS = controller.o cues.o deck.o device.o external.o interface.o \
-	library.o listing.o lut.o \
-	player.o realtime.o \
-	rig.o selector.o status.o thread.o timecoder.o track.o xwax.o
+OBJS = controller.o \
+	cues.o \
+	deck.o \
+	device.o \
+	excrate.o \
+	external.o \
+	index.o \
+	interface.o \
+	library.o \
+	listbox.o \
+	lut.o \
+	player.o \
+	realtime.o \
+	rig.o \
+	selector.o \
+	status.o \
+	thread.o \
+	timecoder.o \
+	track.o \
+	xwax.o
 DEVICE_CPPFLAGS =
 DEVICE_LIBS =
 
-TESTS = tests/cues tests/library tests/status tests/timecoder tests/track \
+TESTS = tests/cues \
+	tests/external \
+	tests/library \
+	tests/observer \
+	tests/status \
+	tests/timecoder \
+	tests/track \
 	tests/ttf
 
 # Optional device types
@@ -135,16 +157,21 @@
 
 tests/cues:	tests/cues.o cues.o
 
-tests/library:	tests/library.o external.o library.o listing.o
+tests/external:	tests/external.o external.o
+
+tests/library:	tests/library.o excrate.o external.o index.o library.o rig.o status.o thread.o track.o
+tests/library:	LDFLAGS += -pthread
 
 tests/midi:	tests/midi.o midi.o
 tests/midi:	LDLIBS += $(ALSA_LIBS)
+
+tests/observer:	tests/observer.o
 
 tests/status:	tests/status.o status.o
 
 tests/timecoder:	tests/timecoder.o lut.o timecoder.o
 
-tests/track:	tests/track.o external.o rig.o status.o thread.o track.o
+tests/track:	tests/track.o excrate.o external.o index.o library.o rig.o status.o thread.o track.o
 tests/track:	LDFLAGS += -pthread
 tests/track:	LDLIBS += -lm

=== debian/changelog ===
xwax (1.5-1) unstable; urgency=low

  * New upstream release:
    - Scan the music library in the background on startup
    - Function to re-scan a crate
    - Performance improovement to audio resampler
    - Additional font paths
    - Minor bug fixes
  * Bump Standards.
  * Add myself to copyright holders for the packaging.

 -- Alessio Treglia <alessio@debian.org>  Thu, 10 Apr 2014 15:19:23 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  libasound2-dev [linux-any],
  libjack-dev,
  libsdl-ttf2.0-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://www.xwax.co.uk/
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/xwax.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/xwax.git

=== debian/watch ===
version=3
http://www.xwax.co.uk/download.html \
 releases/xwax-([\d\.]*).tar.gz

## xwax 1.6~beta1

=== debian/changelog ===
xwax (1.6~beta1-1build1) wily; urgency=medium

  * No-change rebuild against libjack-jackd2-0v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 11 Aug 2015 07:16:21 +0000

xwax (1.6~beta1-1) unstable; urgency=medium

  * New upstream release.
  * Support both avconf and ffmpeg binaries. (Closes: #722487)
  * Refresh debian/copyright.
  * Bump Standards

 -- Alessio Treglia <alessio@debian.org>  Wed, 10 Jun 2015 12:56:04 +0100

## xwax 1.6~beta2

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright (C) 2014 Mark Hills <mark@xwax.org>
+# Copyright (C) 2015 Mark Hills <mark@xwax.org>
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License version 2, as
@@ -50,6 +50,7 @@
 	cues.o \
 	deck.o \
 	device.o \
+	dummy.o \
 	excrate.o \
 	external.o \
 	index.o \
@@ -98,12 +99,12 @@
 endif
 
 TEST_OBJS = $(addsuffix .o,$(TESTS))
-DEPS = $(OBJS:.o=.d) $(TEST_OBJS:.o=.d)
+DEPS = $(OBJS:.o=.d) $(TEST_OBJS:.o=.d) mktimecode.d
 
 # Rules
 
 .PHONY:		all
-all:		xwax tests
+all:		xwax mktimecode tests
 
 # Dynamic versioning
 
@@ -125,6 +126,11 @@
 xwax.o:		CPPFLAGS += $(DEVICE_CPPFLAGS)
 xwax.o:		CPPFLAGS += -DEXECDIR=\"$(EXECDIR)\" -DVERSION=\"$(VERSION)\"
 xwax.o:		.version
+
+# Supporting programs
+
+mktimecode:	mktimecode.o
+mktimecode:	LDLIBS  += -lm
 
 # Install to system
 
@@ -185,6 +191,7 @@
 		rm -f xwax \
 			$(OBJS) $(DEPS) \
 			$(TESTS) $(TEST_OBJS) \
+			mktimecode mktimecode.o \
 			TAGS
 
 -include $(DEPS)

=== debian/changelog ===
xwax (1.6~beta2-0ubuntu1) xenial; urgency=medium

  * New upstream release.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Sat, 31 Oct 2015 20:21:13 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: xwax
 Section: sound
 Priority: extra
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Alessio Treglia <alessio@debian.org>,
  Mitchell Smith <mjs@mjsprojects.net>
@@ -10,7 +11,7 @@
  libasound2-dev [linux-any],
  libjack-dev,
  libsdl-ttf2.0-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.xwax.co.uk/
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/xwax.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/xwax.git
@@ -23,7 +24,7 @@
  ${shlibs:Depends}
 Recommends:
  cdparanoia,
- ffmpeg,
+ libav-tools | ffmpeg,
  mpg123
 Suggests:
  jackd

=== debian/rules ===
--- 
+++ 
@@ -14,14 +14,19 @@
 CROSS= --build $(DEB_BUILD_GNU_TYPE)
 endif
 
+export CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
+export CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
+export CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
+export LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
+
 %:
 	dh $@
 
 override_dh_auto_configure:
 ifneq ($(DEB_HOST_ARCH_OS),linux)
-	./configure --prefix /usr --enable-oss
+	./configure --prefix /usr --enable-oss --enable-jack
 else
-	./configure --prefix /usr --enable-alsa
+	./configure --prefix /usr --enable-alsa --enable-jack
 endif
 
 override_dh_auto_build:

## xwax 1.6

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright (C) 2015 Mark Hills <mark@xwax.org>
+# Copyright (C) 2016 Mark Hills <mark@xwax.org>
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License version 2, as

=== debian/changelog ===
xwax (1.6-2fakesync1) zesty-proposed; urgency=medium

  * Fake sync due to mismatching orig tarball.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 06 Nov 2016 21:46:27 +0000

xwax (1.6-2) unstable; urgency=medium

  * Team upload.
  * Remove myself from the Uploaders field.

 -- Alessio Treglia <alessio@debian.org>  Wed, 02 Nov 2016 22:02:58 +0000

xwax (1.6-1) unstable; urgency=medium

  * New upstream release
  * Remove patch that was merged upstream in 1.6 final release
  * Font package name has changed, avoid pulling in transitional package
  * Bump debhelper compatibility version
  * Use https for Vcs fields in control file
  * Update Debian readme with current script name and wiki link
  * Enable all security hardening options
  * Enable parallel build
  * Update copyright notice
  * Improve format of watch file to sort betas correctly
  * Add myself to the list of uploaders

 -- Daniel James <daniel@64studio.com>  Wed, 31 Aug 2016 15:37:31 +0100

=== debian/control ===
--- 
+++ 
@@ -4,22 +4,22 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
- Alessio Treglia <alessio@debian.org>,
- Mitchell Smith <mjs@mjsprojects.net>
+ Mitchell Smith <mjs@mjsprojects.net>,
+ Daniel James <daniel@64studio.com>
 Build-Depends:
- debhelper (>= 7.0.50~),
+ debhelper (>= 9),
  libasound2-dev [linux-any],
  libjack-dev,
  libsdl-ttf2.0-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://www.xwax.co.uk/
-Vcs-Git: git://anonscm.debian.org/pkg-multimedia/xwax.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/xwax.git
+Vcs-Git: https://alioth.debian.org/anonscm/git/pkg-multimedia/xwax.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/xwax.git
 
 Package: xwax
 Architecture: any
 Depends:
- ttf-dejavu-extra,
+ fonts-dejavu-extra,
  ${misc:Depends},
  ${shlibs:Depends}
 Recommends:

=== debian/rules ===
--- 
+++ 
@@ -18,9 +18,10 @@
 export CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
 export CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
 export LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 %:
-	dh $@
+	dh $@ --parallel
 
 override_dh_auto_configure:
 ifneq ($(DEB_HOST_ARCH_OS),linux)

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/xwax-$1\.tar\.gz/,uversionmangle=s/-beta/~beta/,dversionmangle=s/~dfsg.*// \
  https://github.com/xwax/xwax/tags .*/v?(\d\S*)\.tar\.gz

## xwax 1.7

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright (C) 2016 Mark Hills <mark@xwax.org>
+# Copyright (C) 2018 Mark Hills <mark@xwax.org>
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License version 2, as

=== debian/changelog ===
xwax (1.7-1) unstable; urgency=medium

  * Team upload.

  [ James Cowgill ]
  * New upstream release.

  * debian/compat: Use debhelper 11.
  * debian/control:
    - Drop Recommends on libav-tools. (Closes: #895919)
    - Update Homepage.
    - Bump standards to 4.1.4.
  * debian/copyright: Update copyright dates.
  * debian/patches: Add patch to generate version correctly.
  * debian/rules: Remove various cruft variable assignments.

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/control: Set Vcs-* to salsa.debian.org
  * d/changelog: Remove trailing whitespaces

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

 -- James Cowgill <jcowgill@debian.org>  Fri, 20 Apr 2018 10:14:24 +0100

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,19 @@
 Source: xwax
 Section: sound
-Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Priority: optional
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Mitchell Smith <mjs@mjsprojects.net>,
  Daniel James <daniel@64studio.com>
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 11),
  libasound2-dev [linux-any],
  libjack-dev,
  libsdl-ttf2.0-dev
-Standards-Version: 3.9.8
-Homepage: http://www.xwax.co.uk/
-Vcs-Git: https://alioth.debian.org/anonscm/git/pkg-multimedia/xwax.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/xwax.git
+Standards-Version: 4.1.4
+Homepage: http://xwax.org/
+Vcs-Git: https://salsa.debian.org/multimedia-team/xwax.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/xwax
 
 Package: xwax
 Architecture: any
@@ -24,7 +23,7 @@
  ${shlibs:Depends}
 Recommends:
  cdparanoia,
- libav-tools | ffmpeg,
+ ffmpeg,
  mpg123
 Suggests:
  jackd

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_configure:
ifneq ($(DEB_HOST_ARCH_OS),linux)
	./configure --prefix /usr --enable-oss --enable-jack
else
	./configure --prefix /usr --enable-alsa --enable-jack
endif

override_dh_auto_build:
	$(MAKE) PREFIX=/usr EXECDIR=/usr/share/xwax

override_dh_auto_install:
	$(MAKE) PREFIX=$(CURDIR)/debian/xwax/usr EXECDIR=$(CURDIR)/debian/xwax/usr/share/xwax install

override_dh_install:
	dh_install
	rm -f $(CURDIR)/debian/xwax/usr/share/doc/xwax/COPYING

override_dh_installchangelogs:
	dh_installchangelogs -k CHANGES

## xwax 1.8

=== Makefile ===
--- 
+++ 
@@ -1,18 +1,19 @@
-# Copyright (C) 2018 Mark Hills <mark@xwax.org>
 #
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License version 2, as
+# Copyright (C) 2021 Mark Hills <mark@xwax.org>
+#
+# This file is part of "xwax".
+#
+# "xwax" is free software; you can redistribute it and/or modify it
+# under the terms of the GNU General Public License, version 3 as
 # published by the Free Software Foundation.
 #
-# This program is distributed in the hope that it will be useful, but
+# "xwax" is distributed in the hope that it will be useful, but
 # WITHOUT ANY WARRANTY; without even the implied warranty of
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
-# General Public License version 2 for more details.
+# General Public License for more details.
 #
 # You should have received a copy of the GNU General Public License
-# version 2 along with this program; if not, write to the Free
-# Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
-# MA 02110-1301, USA.
+# along with this program; if not, see <https://www.gnu.org/licenses/>.
 #
 
 # Import the optional configuration

=== debian/changelog ===
xwax (1.8-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.

  [ Dennis Braun ]
  * Bump Standards Version to 4.6.1
  * Add libjack-jackd2-dev as optional B-D
  * Fix cross compiling. Thanks Nilesh! (Closes: #1022077)
  * Add salsa ci config

 -- Dennis Braun <d_braun@kabelmail.de>  Fri, 21 Oct 2022 22:14:00 +0200

xwax (1.8-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ Dennis Braun ]
  * New upstream version 1.8
  * d/control:
    + Bump dh-compat to 13
    + Bump Standards-Version to 4.6.0
    + Use https protocol for homepage
    + Set RRR: no
    + Add myself as uploader
  * d/copyright:
    + Update copyright year
    + http -> https
    + Add myself to the d/ section
  * Add d/upstream/metadata
  * Bump d/watch version

 -- Dennis Braun <d_braun@kabelmail.de>  Mon, 06 Sep 2021 15:59:58 +0200

=== debian/control ===
--- 
+++ 
@@ -4,16 +4,18 @@
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Mitchell Smith <mjs@mjsprojects.net>,
- Daniel James <daniel@64studio.com>
+ Daniel James <daniel@64studio.com>,
+ Dennis Braun <d_braun@kabelmail.de>
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 13),
  libasound2-dev [linux-any],
- libjack-dev,
+ libjack-dev | libjack-jackd2-dev,
  libsdl-ttf2.0-dev
-Standards-Version: 4.1.4
-Homepage: http://xwax.org/
+Standards-Version: 4.6.1
+Homepage: https://xwax.org/
 Vcs-Git: https://salsa.debian.org/multimedia-team/xwax.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/xwax
+Rules-Requires-Root: no
 
 Package: xwax
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,8 @@
 # -*- makefile -*-
 
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
+export DPKG_EXPORT_BUILDTOOLS = 1
+include /usr/share/dpkg/buildtools.mk
 
 %:
 	dh $@

## xwax 1.9

=== Makefile ===
--- 
+++ 
@@ -42,7 +42,7 @@
 
 CFLAGS ?= -O3
 CFLAGS += -Wall
-CPPFLAGS += -MMD
+CPPFLAGS += -MMD -MP
 LDFLAGS ?= -O3
 
 # Core objects and libraries

=== debian/changelog ===
xwax (1.9-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:46:17 +1100

xwax (1.9-1build1) noble; urgency=medium

  * No-change rebuild against libasound2t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 07:05:58 +0000

xwax (1.9-1) unstable; urgency=medium

  * New upstream version 1.9
  * Change my email address
  * Bump Standards-Version to 4.6.2
  * Bump my d/copyright year

 -- Dennis Braun <snd@debian.org>  Sun, 18 Jun 2023 17:39:48 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: xwax
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Mitchell Smith <mjs@mjsprojects.net>,
  Daniel James <daniel@64studio.com>,
- Dennis Braun <d_braun@kabelmail.de>
+ Dennis Braun <snd@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  libasound2-dev [linux-any],
  libjack-dev | libjack-jackd2-dev,
  libsdl-ttf2.0-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://xwax.org/
 Vcs-Git: https://salsa.debian.org/multimedia-team/xwax.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/xwax
